package com.mortals.xhx.module.position.model;

import java.util.List;
import com.mortals.xhx.module.position.model.PositionEntity;
/**
* 职位信息查询对象
*
* @author zxfei
* @date 2023-09-11
*/
public class PositionQuery extends PositionEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 分组id */
    private Long groupIdStart;

    /** 结束 分组id */
    private Long groupIdEnd;

    /** 增加 分组id */
    private Long groupIdIncrement;

    /** 分组id列表 */
    private List <Long> groupIdList;

    /** 分组id排除列表 */
    private List <Long> groupIdNotList;

    /** 分组名称 */
    private List<String> groupNameList;

    /** 分组名称排除列表 */
    private List <String> groupNameNotList;
    /** 职位编码 */
    private List<String> positionCodeList;

    /** 职位编码排除列表 */
    private List <String> positionCodeNotList;
    /** 职位名称 */
    private List<String> positionNameList;

    /** 职位名称排除列表 */
    private List <String> positionNameNotList;
    /** 开始 节点类型(1.分组,2.职位) */
    private Integer typeStart;

    /** 结束 节点类型(1.分组,2.职位) */
    private Integer typeEnd;

    /** 增加 节点类型(1.分组,2.职位) */
    private Integer typeIncrement;

    /** 节点类型(1.分组,2.职位)列表 */
    private List <Integer> typeList;

    /** 节点类型(1.分组,2.职位)排除列表 */
    private List <Integer> typeNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PositionQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PositionQuery> andConditionList;

    public PositionQuery(){}

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 分组id
    * @return groupIdStart
    */
    public Long getGroupIdStart(){
        return this.groupIdStart;
    }

    /**
    * 设置 开始 分组id
    * @param groupIdStart
    */
    public void setGroupIdStart(Long groupIdStart){
        this.groupIdStart = groupIdStart;
    }

    /**
    * 获取 结束 分组id
    * @return $groupIdEnd
    */
    public Long getGroupIdEnd(){
        return this.groupIdEnd;
    }

    /**
    * 设置 结束 分组id
    * @param groupIdEnd
    */
    public void setGroupIdEnd(Long groupIdEnd){
        this.groupIdEnd = groupIdEnd;
    }

    /**
    * 获取 增加 分组id
    * @return groupIdIncrement
    */
    public Long getGroupIdIncrement(){
        return this.groupIdIncrement;
    }

    /**
    * 设置 增加 分组id
    * @param groupIdIncrement
    */
    public void setGroupIdIncrement(Long groupIdIncrement){
        this.groupIdIncrement = groupIdIncrement;
    }

    /**
    * 获取 分组id
    * @return groupIdList
    */
    public List<Long> getGroupIdList(){
        return this.groupIdList;
    }

    /**
    * 设置 分组id
    * @param groupIdList
    */
    public void setGroupIdList(List<Long> groupIdList){
        this.groupIdList = groupIdList;
    }

    /**
    * 获取 分组id
    * @return groupIdNotList
    */
    public List<Long> getGroupIdNotList(){
        return this.groupIdNotList;
    }

    /**
    * 设置 分组id
    * @param groupIdNotList
    */
    public void setGroupIdNotList(List<Long> groupIdNotList){
        this.groupIdNotList = groupIdNotList;
    }


    /**
    * 获取 分组名称
    * @return groupNameList
    */
    public List<String> getGroupNameList(){
        return this.groupNameList;
    }

    /**
    * 设置 分组名称
    * @param groupNameList
    */
    public void setGroupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
    }

    /**
    * 获取 分组名称
    * @return groupNameNotList
    */
    public List<String> getGroupNameNotList(){
        return this.groupNameNotList;
    }

    /**
    * 设置 分组名称
    * @param groupNameNotList
    */
    public void setGroupNameNotList(List<String> groupNameNotList){
        this.groupNameNotList = groupNameNotList;
    }

    /**
    * 获取 职位编码
    * @return positionCodeList
    */
    public List<String> getPositionCodeList(){
        return this.positionCodeList;
    }

    /**
    * 设置 职位编码
    * @param positionCodeList
    */
    public void setPositionCodeList(List<String> positionCodeList){
        this.positionCodeList = positionCodeList;
    }

    /**
    * 获取 职位编码
    * @return positionCodeNotList
    */
    public List<String> getPositionCodeNotList(){
        return this.positionCodeNotList;
    }

    /**
    * 设置 职位编码
    * @param positionCodeNotList
    */
    public void setPositionCodeNotList(List<String> positionCodeNotList){
        this.positionCodeNotList = positionCodeNotList;
    }

    /**
    * 获取 职位名称
    * @return positionNameList
    */
    public List<String> getPositionNameList(){
        return this.positionNameList;
    }

    /**
    * 设置 职位名称
    * @param positionNameList
    */
    public void setPositionNameList(List<String> positionNameList){
        this.positionNameList = positionNameList;
    }

    /**
    * 获取 职位名称
    * @return positionNameNotList
    */
    public List<String> getPositionNameNotList(){
        return this.positionNameNotList;
    }

    /**
    * 设置 职位名称
    * @param positionNameNotList
    */
    public void setPositionNameNotList(List<String> positionNameNotList){
        this.positionNameNotList = positionNameNotList;
    }

    /**
    * 获取 开始 节点类型(1.分组,2.职位)
    * @return typeStart
    */
    public Integer getTypeStart(){
        return this.typeStart;
    }

    /**
    * 设置 开始 节点类型(1.分组,2.职位)
    * @param typeStart
    */
    public void setTypeStart(Integer typeStart){
        this.typeStart = typeStart;
    }

    /**
    * 获取 结束 节点类型(1.分组,2.职位)
    * @return $typeEnd
    */
    public Integer getTypeEnd(){
        return this.typeEnd;
    }

    /**
    * 设置 结束 节点类型(1.分组,2.职位)
    * @param typeEnd
    */
    public void setTypeEnd(Integer typeEnd){
        this.typeEnd = typeEnd;
    }

    /**
    * 获取 增加 节点类型(1.分组,2.职位)
    * @return typeIncrement
    */
    public Integer getTypeIncrement(){
        return this.typeIncrement;
    }

    /**
    * 设置 增加 节点类型(1.分组,2.职位)
    * @param typeIncrement
    */
    public void setTypeIncrement(Integer typeIncrement){
        this.typeIncrement = typeIncrement;
    }

    /**
    * 获取 节点类型(1.分组,2.职位)
    * @return typeList
    */
    public List<Integer> getTypeList(){
        return this.typeList;
    }

    /**
    * 设置 节点类型(1.分组,2.职位)
    * @param typeList
    */
    public void setTypeList(List<Integer> typeList){
        this.typeList = typeList;
    }

    /**
    * 获取 节点类型(1.分组,2.职位)
    * @return typeNotList
    */
    public List<Integer> getTypeNotList(){
        return this.typeNotList;
    }

    /**
    * 设置 节点类型(1.分组,2.职位)
    * @param typeNotList
    */
    public void setTypeNotList(List<Integer> typeNotList){
        this.typeNotList = typeNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键，自增长
    * @param id
    */
    public PositionQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public PositionQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public PositionQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public PositionQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public PositionQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键，自增长
        * @param idNotList
        */
        public PositionQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  分组id
    * @param groupId
    */
    public PositionQuery groupId(Long groupId){
	    setGroupId(groupId);
		return this;
    }
	
	 /**
    * 设置 开始 分组id
    * @param groupIdStart
    */
    public PositionQuery groupIdStart(Long groupIdStart){
		this.groupIdStart = groupIdStart;
		return this;
    }

    /**
    * 设置 结束 分组id
    * @param groupIdEnd
    */
    public PositionQuery groupIdEnd(Long groupIdEnd){
		this.groupIdEnd = groupIdEnd;
		return this;
    }

    /**
    * 设置 增加 分组id
    * @param groupIdIncrement
    */
    public PositionQuery groupIdIncrement(Long groupIdIncrement){
		this.groupIdIncrement = groupIdIncrement;
		return this;
    }

    /**
    * 设置 分组id
    * @param groupIdList
    */
    public PositionQuery groupIdList(List<Long> groupIdList){
        this.groupIdList = groupIdList;
		return this;
        }

        /**
        * 设置 分组id
        * @param groupIdNotList
        */
        public PositionQuery groupIdNotList(List<Long> groupIdNotList){
        this.groupIdNotList = groupIdNotList;
        return this;
        }


	/**
    * 设置 分组名称
    * @param groupName
    */
    public PositionQuery groupName(String groupName){
        setGroupName(groupName);
		return this;
    }

    /**
    * 设置 分组名称
    * @param groupNameList
    */
    public PositionQuery groupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
		return this;
    }


	/**
    * 设置 职位编码
    * @param positionCode
    */
    public PositionQuery positionCode(String positionCode){
        setPositionCode(positionCode);
		return this;
    }

    /**
    * 设置 职位编码
    * @param positionCodeList
    */
    public PositionQuery positionCodeList(List<String> positionCodeList){
        this.positionCodeList = positionCodeList;
		return this;
    }


	/**
    * 设置 职位名称
    * @param positionName
    */
    public PositionQuery positionName(String positionName){
        setPositionName(positionName);
		return this;
    }

    /**
    * 设置 职位名称
    * @param positionNameList
    */
    public PositionQuery positionNameList(List<String> positionNameList){
        this.positionNameList = positionNameList;
		return this;
    }

    /**
    * 设置  节点类型(1.分组,2.职位)
    * @param type
    */
    public PositionQuery type(Integer type){
	    setType(type);
		return this;
    }
	
	 /**
    * 设置 开始 节点类型(1.分组,2.职位)
    * @param typeStart
    */
    public PositionQuery typeStart(Integer typeStart){
		this.typeStart = typeStart;
		return this;
    }

    /**
    * 设置 结束 节点类型(1.分组,2.职位)
    * @param typeEnd
    */
    public PositionQuery typeEnd(Integer typeEnd){
		this.typeEnd = typeEnd;
		return this;
    }

    /**
    * 设置 增加 节点类型(1.分组,2.职位)
    * @param typeIncrement
    */
    public PositionQuery typeIncrement(Integer typeIncrement){
		this.typeIncrement = typeIncrement;
		return this;
    }

    /**
    * 设置 节点类型(1.分组,2.职位)
    * @param typeList
    */
    public PositionQuery typeList(List<Integer> typeList){
        this.typeList = typeList;
		return this;
        }

        /**
        * 设置 节点类型(1.分组,2.职位)
        * @param typeNotList
        */
        public PositionQuery typeNotList(List<Integer> typeNotList){
        this.typeNotList = typeNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public PositionQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public PositionQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public PositionQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public PositionQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public PositionQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public PositionQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public PositionQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public PositionQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }

    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public PositionQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public PositionQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public PositionQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public PositionQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public PositionQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public PositionQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<PositionQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<PositionQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<PositionQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<PositionQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}